WPSBorder Struct Reference documentation

WPSBorder Struct Reference

a border list More...

`#include <libwps_internal.h>`

## Public Types
enum | Style { None , Simple , Dot , LargeDot , Dash }
| the line style More...
enum | Type { Single , Double , Triple }
| the line repetition More...
enum | Pos { Left = 0 , Right = 1 , Top = 2 , Bottom = 3 }
enum | { LeftBit = 0x01 , RightBit = 0x02 , TopBit =0x4 , BottomBit = 0x08 }

## Public Member Functions
| WPSBorder ()
| constructor
bool | addTo (librevenge::RVNGPropertyList &propList, std::string which="") const
| add the border property to proplist (if needed )
bool | isEmpty () const
| returns true if the border is empty
bool | operator== (WPSBorder const &orig) const
| operator==
bool | operator!= (WPSBorder const &orig) const
| operator!=
int | compare (WPSBorder const &orig) const
| compare two cell

## Public Attributes
Style | m_style
| the border style
Type | m_type
| the border repetition
int | m_width
| the border width
std::vector< double > | m_widthsList
| the different length used for each line/sep (if defined)
WPSColor | m_color
| the border color
std::string | m_extra
| extra data ( if needed)

## Friends
std::ostream & | operator<< (std::ostream &o, WPSBorder const &border)
| operator<<
std::ostream & | operator<< (std::ostream &o, WPSBorder::Style const &style)
| operator<<: prints data in form "none|dot|..."

## Detailed Description

a border list

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
LeftBit |
RightBit |
TopBit |
BottomBit |

## ◆ Pos

enum WPSBorder::Pos

Enumerator
Left |
Right |
Top |
Bottom |

## ◆ Style

enum WPSBorder::Style

the line style

Enumerator
None |
Simple |
Dot |
LargeDot |
Dash |

## ◆ Type

enum WPSBorder::Type

the line repetition

Enumerator
Single |
Double |
Triple |

## Constructor & Destructor Documentation

## ◆ WPSBorder()

WPSBorder::WPSBorder | ( |  | ) |
| inline

constructor

Referenced by compare(), operator!=(), operator<<, and operator==().

## Member Function Documentation

## ◆ addTo()

bool WPSBorder::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string | which = "" ) const

add the border property to proplist (if needed )

    \note if set which must be equal to "left", "top", ...

## ◆ compare()

int WPSBorder::compare | ( | WPSBorder const & | orig | ) | const

compare two cell

## ◆ isEmpty()

bool WPSBorder::isEmpty | ( |  | ) | const
| inline

returns true if the border is empty

## ◆ operator!=()

bool WPSBorder::operator!= | ( | WPSBorder const & | orig | ) | const
| inline

operator!=

## ◆ operator==()

bool WPSBorder::operator== | ( | WPSBorder const & | orig | ) | const
| inline

operator==

Referenced by operator!=().

## Friends And Related Symbol Documentation

## ◆ operator<< [1/2]

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSBorder const & | border )
| friend

operator<<

## ◆ operator<< [2/2]

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSBorder::Style const & | style )
| friend

operator<<: prints data in form "none|dot|..."

## Member Data Documentation

## ◆ m_color

WPSColor WPSBorder::m_color

the border color

Referenced by addTo(), compare(), operator<<, operator==(), LotusStyleManager::readCellStyleE6(), WPS8Table::readMCLD(), WKS4Spreadsheet::readMsWorksStyle(), DosWordParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), and WPSBorder().

## ◆ m_extra

std::string WPSBorder::m_extra

extra data ( if needed)

Referenced by operator<<, and WPSBorder().

## ◆ m_style

Style WPSBorder::m_style

the border style

Referenced by addTo(), WPS8TableInternal::Cell::Cell(), compare(), isEmpty(), operator<<, operator==(), LotusStyleManager::readCellStyleE6(), WPS8Table::readMCLD(), WKS4Spreadsheet::readMsWorksStyle(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), WPSCellFormat::setBorders(), WPSGraphicStyle::setBorders(), and WPSBorder().

## ◆ m_type

Type WPSBorder::m_type

the border repetition

Referenced by addTo(), operator<<, operator==(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleE6(), WPS8Table::readMCLD(), WKS4Spreadsheet::readMsWorksStyle(), DosWordParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), QuattroSpreadsheet::readUserStyle(), LotusSpreadsheetInternal::ExtraStyle::update(), and WPSBorder().

## ◆ m_width

int WPSBorder::m_width

the border width

Referenced by addTo(), compare(), isEmpty(), operator<<, operator==(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleE6(), WKS4Spreadsheet::readMsWorksStyle(), DosWordParser::readPAP(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), QuattroSpreadsheet::readUserStyle(), LotusSpreadsheetInternal::ExtraStyle::update(), and WPSBorder().

## ◆ m_widthsList

std::vector<double> WPSBorder::m_widthsList

the different length used for each line/sep (if defined)

    \note when defined, the size of this list must be equal to 2*Type-1

Referenced by addTo(), compare(), operator<<, and WPSBorder().

The documentation for this struct was generated from the following files:

- libwps_internal.h
- libwps_internal.cpp